<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-alumno-heading" data-cy="AlumnoCreateUpdateHeading">Create or edit a Alumno</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" [hidden]="editForm.get('id')!.value == null">
          <label class="form-label" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="row mb-3">
          <label class="form-label" for="field_nombres">Nombres</label>
          <input type="text" class="form-control" name="nombres" id="field_nombres" data-cy="nombres" formControlName="nombres" />
          <div *ngIf="editForm.get('nombres')!.invalid && (editForm.get('nombres')!.dirty || editForm.get('nombres')!.touched)">
            <small class="form-text text-danger" *ngIf="editForm.get('nombres')?.errors?.required"> This field is required. </small>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" for="field_apellidos">Apellidos</label>
          <input type="text" class="form-control" name="apellidos" id="field_apellidos" data-cy="apellidos" formControlName="apellidos" />
          <div *ngIf="editForm.get('apellidos')!.invalid && (editForm.get('apellidos')!.dirty || editForm.get('apellidos')!.touched)">
            <small class="form-text text-danger" *ngIf="editForm.get('apellidos')?.errors?.required"> This field is required. </small>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" for="field_equipo">Equipo</label>
          <select class="form-control" id="field_equipo" data-cy="equipo" name="equipo" formControlName="equipo">
            <option [ngValue]="null"></option>
            <option
              [ngValue]="equipoOption.id === editForm.get('equipo')!.value?.id ? editForm.get('equipo')!.value : equipoOption"
              *ngFor="let equipoOption of equiposSharedCollection; trackBy: trackEquipoById"
            >
              {{ equipoOption.id }}
            </option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
